const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Maybrat',
    'Kabupaten Sorong',
    'Kabupaten Sorong Selatan',
    'Kabupaten Tambrauw',
    'Kabupaten Raja Ampat',
    'Kota Sorong'

    // 6
];

exports.seedPapuaBaratDayaCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Papua Barat Daya' },
    });

    if (!province) {
        console.error('❌ Province Papua Barat Daya not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: {
                updatedAt: timeLocal.now().toDate()
            },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Papua Barat Daya City seeded!.');
};